@font-face {
    font-family: 'Segoe UI';
    src: url(../fonts/Segoe/segoeui.ttf);
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Segoe UI Light';
    src: url(../fonts/Segoe/segoeuil.ttf);
    font-weight: normal;
    font-style: normal;
}

.home-page {
    background-image: url(../images/blueprint.jpg);
    background-size: cover;
}
.navbar {
    margin-bottom: 0px;
    border-radius: 0px;
}
.navbar-content {
    max-width: 1200px;
    margin: 0 auto;
}
.navbar-toggle {
    margin-top: 23px;
}
.nav-white-text {
    color: white !important;
}
.brand-image {
    width: 150px;
}
.product-navbar {
    color: white;
}
.expresso-navbar {
    background-color: #F06B2F;
}
.clockd-navbar {
    background-color: #FE5434;
}
.azure-navbar {
    background-color: #191919;
}
.jupyter-navbar {
    background-color: white;
}
.playlyst-navbar {
    background-color: #2D95F2;
}
.white-icon-bar {
    background-color: white;
}
.dark-icon-bar {
    background-color: #717171;
}
.jupyter-toggle {
    border: 1px solid #E0E0E0;
}
.expresso-tab:hover {
    background-color: #F06B2F !important;
    box-sizing: border-box;
    transition: opacity .25s ease-in-out;
   -moz-transition: opacity .25s ease-in-out;
   -webkit-transition: opacity .25s ease-in-out;
}
.expresso-tab:focus {
    background-color: #F06B2F !important;
}
.clockd-tab:hover {
    background-color: #FE5434 !important;
    box-sizing: border-box;
    transition: opacity .25s ease-in-out;
   -moz-transition: opacity .25s ease-in-out;
   -webkit-transition: opacity .25s ease-in-out;
}
.clockd-tab:focus {
    background-color: #FE5434 !important;
}
.azure-tab {
    background-color: #191919 !important;
}
.azure-tab:hover {
    background-color: #191919 !important;
}
.jupyter-tab {
    color: black;
    background-color: white;
}
.jupyter-tab:hover {
    color: black;
}
.playlyst-tab {
    background-color: #2D95F2 !important;
    box-sizing: border-box;
    transition: opacity .25s ease-in-out;
   -moz-transition: opacity .25s ease-in-out;
   -webkit-transition: opacity .25s ease-in-out;
}
.playlyst-tab:hover {
    background-color: #2D95F2;
}
.projects {
    max-width: 1200px;
    margin: 0 auto;
    background-color: white;
}
h1 {
    font-size: 1em;
    margin-top: 0px;
    margin-bottom: 5px;
    font-weight: 400;
    text-transform: uppercase;
    letter-spacing: 1px;
}
.header {
    font-size: .5em;
    text-transform: uppercase;
    margin-top: 0px;
    font-weight: 300;
    color: lightgray;
}
li {
    list-style-type: none;
    display: inline;
}
.social a {
    width: 50px;
    height: 50px;
    display: inline-block;
    transform: scale(.6,.6);
    background-position: center center;
    text-align: center;
}
ul {
    text-align: center;
    margin: 0;
    padding: 0;
}
#background {
    width:100%;
    position:fixed;
    top:0;
    font-family: 'Fira Sans', sans-serif; font-weight:400;
    margin: 0 auto;
    z-index: 0;
}
#myself {
    z-index: -1;
    margin-left: -500px;
    position: absolute;
    width: 650px;
    visibility: hidden;
}
#info {
    padding-top: 40px;
}
#cameron {
    padding-top: 50px;
    font-size:40px;
    color:white;
    text-align: center;
    z-index: 0;
}
.seperator {
    text-align: center;
    padding: 25px;
    background-color: rgb(242,242,242);
    width: 100%;
}
.seperator-item {
    font-family: 'Fira Sans', sans-serif; font-weight:400;
    font-size: 25px;
    color: slategray;
    margin: 0 auto;
}
.row1 {
     animation-duration: 1.5s;
    animation-delay: .2s;
}
.row2 {
     animation-duration: 1.5s;
  animation-delay: .4s;
}
.row3 {
     animation-duration: 1.5s;
  animation-delay: .6s;
}
#row-fix {
    margin-right: 0px;
    margin-left: 0px;
}
.project-item {
    margin-top: 40px;
    font-family: 'Fira Sans', sans-serif; 
    transition: box-shadow 1s;
}
.project-item h2 {
    font-size: 1.5em;
    text-align: center;
}
.project-img {
    border-radius: 5px;
    box-shadow: 0;
    transition: box-shadow .5s;
    border: 1px solid rgba(200,200,200,.45);
}
.project-img:hover {
    -webkit-box-shadow: -1px 4px 16px 0px rgba(184,184,184,1);
    -moz-box-shadow: -1px 4px 16px 0px rgba(184,184,184,1);
    box-shadow: -1px 4px 16px 0px rgba(184,184,184,1);
}

.content {
    background-color:white;
    width:auto;
    height:100%;
    margin-top:500px;
    position:relative;
}
.about-me {
    max-width: 1200px;
}
.button {
    padding: 15px 30px;
    background-color: white;
    font-size: .5em;
    text-decoration: none;
    border-radius: 5px;
    border-width: 0px;
    border-style: solid;
    color: rgb(35,68,151);
    -o-transition:.5s;
  -ms-transition:.5s;
  -moz-transition:.5s;
  -webkit-transition:.5s;
  /* ...and now for the proper property */
  transition:.5s;
}
.button:hover {
    color: white;
    background-color: rgb(35,68,151);
    border-color: white;
    border-width: 3px;
    border-style: solid;
    text-decoration: none;
}
.offscreen {
    position: absolute;
    top: 8em;
    left: -18em;
}
.quote {
    font-size: 25px;
    vertical-align: center;
    font-family: 'Lato', sans-serif;
}
.project-info {
    margin-top: 75px;
}
.clockd-info {
    margin-top: 50px;
}
.project-role {
    margin-top: 50px;
    margin-left: 3%;
}
.project-role img {
    width: 200px;
    display: block;
    margin: 0 auto;
}
.project-header-text {
    text-align: center;
    color: white;
    line-height: .8em;
    letter-spacing: 1px;
    margin-top: 12px;
}
.project-info .azure-info {
    text-align: left !important;
    padding-bottom: 36px;
}
.project-preview {
    width: 500px;
    margin-top: 50px;
}
.project-logo {
    margin-top: 50px;
    margin-left: 3%;
    width: 225px;
    display: block;
    margin: 0 auto;
}
.project-header-text {
    text-align: center !important;
    color: white;
    line-height: .8em;
    letter-spacing: 1px;
}
.about-project {
    margin: 32px 0px;
}
#expresso-jumbotron {
    background-color: #F06B2F;
}
#clockd-jumbotron {
    background: linear-gradient(-180deg, #FE5434, #FE285D);
    height: 325px;
}
#azure-jumbotron {
    background-color: #191919;
}
#jupyter-jumbotron {
    background-color: white;
}
#playlyst-jumbotron {
    background-color: #2D95F2;
    height: 440px;
}
.jumbotron-content {
    max-width: 992px;
    margin: 0 auto;
}
.page-content {
    max-width: 992px;
    margin: 0 auto;
}
.content-section {
    margin: 32px 0px;
}
.section-header {
    color: #9E9E9E;
    margin-top: 0px;
    margin-bottom: 8px;
}
.section-subhead {
    line-height: 1.6;
}
.slick-img {
    height: 200px;
    margin-right: 4px;
}
.slick-slide:focus {
    outline: none;
}
.expresso-slider-img {
    width: auto;
    margin-right: 8px;
    border: 1px solid #E0E0E0;
}
.expresso-mobile-img {
    height: 400px;
}
.expresso-ipad-img {
    height: 300px;
}
.expresso-sw-slider, .expresso-mobile-slider, .expresso-barista-slider {
    margin-top: 16px;
}
.expresso-mobile-slider, .expresso-barista-slider {
    text-align: center;
}
.slider-desc-head {
    margin-bottom: 0px;
    margin-top: 8px;
}
.slider-desc-subhead {
    color: #9E9E9E; 
}
.barista-showcase {
    width: 100%;
}
.barista-header {
    padding-top: 100px;
}
.website-landing-img {
    border: 1px solid #E0E0E0;
    margin-top: 32px;
}

.clockd-phone {
    position: absolute;
    height: 325px;
    width: auto;
    left: 70px;
}
.clockd-beacon {
    position: absolute;
    left: 310px;
    top: 100px;
}
.clockd-real-beacon {
    width: 375px;
    padding-top: 8px;
}
.clockd-doorway {
    position: absolute;
    left: 225px;
    height: 200px;
    top: 75px;
}
.clockd-logo {
    height: 90px;
}
.clockd-header {
    font-size: 60px;
    text-align: center;
    font-weight: 200;
    color: white;
}
.clockd-concept-desc {
  margin-top: 16px;
    padding-left: 0px;
    padding-right: 0px;
}
.clockd-leaderboard {
    margin-top: 60px !important;
}
.website-slider-controller {
    margin-bottom: 0px;
    margin-top: 10px;
    display: block;
}
.website-slider-navbar {
    display: none;
}
.clock-website-nav-item {
    height: 80px;
    display: block;
    margin: 0 auto;
    padding-left: 24px;
    padding-right: 24px;
    
}
.clockd-website-slider-desc {
    text-align: center;
    padding-top: 8px;
}
.website-inview {
    display: inline;
}
.section-desc-subsection {
    margin-top: 24px;
}
.beacon-container .clockd-beacon-pulse {
    border: 3px solid rgb(256,256,256);
    border-radius: 3px;
    -webkit-border-radius: 3px;
    height: 0px;
    width: 0px;
    position: absolute;
    left: 322px;
    top: 138px;
    -webkit-animation-name: beacon-pulse;
    -webkit-animation-delay: 1s;
    -webkit-animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
}
@-webkit-keyframes beacon-pulse {
    0% {
        border-color: white;
        border-radius: 3px;
        -webkit-border-radius: 3px;
        padding: 0;
    }
    100% {
        border-color: rgba(256,256,256,0);
        border-radius: 50px;
        -webkit-border-radius: 50px;
        left: 282px;
        padding: 60px;
        top: 68px;
        
    }
}
.azure-header {
    font-size: 52px;
    font-family: 'Segoe UI Light';
    color: white;
    margin-top: 0px;
    margin-bottom: 36px;
}
.azure-subheader {
    font-size: 28px;
    font-family: 'Segoe UI';
    color: #2091D4;
    margin-bottom: 0px;
}
.azure-info-section {
    margin-top: 25px;
}
.azure-surface {
    height: 300px;
    position: relative;
    left: 100px;
    margin-bottom: 12px;
}
.libraries-highlight {
    position: absolute;
    width: 347px;
    top: 23px;
    left: 177px;
}
.wireframe-slide {
    width: 450px;
    height: auto;
}

#jupyter-site-jumbotron-logo {
    display: block;
	height: calc(100% - 100px);
    width: auto;
	margin-top: 32px !important;
    padding-left: 20px;
}
@-webkit-keyframes fadeIn { from { opacity:0;} to { opacity:1;} }
@-moz-keyframes fadeIn { from { opacity:0; } to { opacity:1; } }
@keyframes fadeIn { from { opacity:0;} to { opacity:1;} }

.fade-in {
    -webkit-animation:fadeIn ease-in 1;  /* call our keyframe named fadeIn, use animation ease-in and repeat it only 1 time */
    -moz-animation:fadeIn ease-in 1;
    animation:fadeIn ease-in 1;

    -webkit-animation-duration:1s;
    -moz-animation-duration:1s;
    animation-duration:1s;

    -webkit-animation-fill-mode:forwards;  /* this makes sure that after animation is done we remain at the last keyframe value (opacity: 1)*/
    -moz-animation-fill-mode:forwards;
    animation-fill-mode:forwards;

    opacity:0;  /* make things invisible upon start */
}
.fade-in.one {
    -webkit-animation-delay: 0.3s;
    -moz-animation-delay: 0.3s;
    animation-delay: 0.3s;
}

.fade-in.two {
    -webkit-animation-delay: 0.7s;
    -moz-animation-delay:0.7s;
    animation-delay: 0.7s;
}
.fade-in.three {
    -webkit-animation-delay: 1.1s;
    -moz-animation-delay: 1.1s;
    animation-delay: 1.1s;
}
#jupyter-jumbotron {
    background-color: white;
    margin-top:52px;
    overflow: hidden;
}
#jupyter-jumbotron img {
    margin: 0 auto;
}
.jupyter-img-container {
    height: 100%;
    margin: 0 auto;
    position: absolute;
    text-align: center;
    width: 95%;
}
.jupyter-img-container img {
    vertical-align: center;
}
.jupyter-jumbotron-ring {
    display: none;
    margin: 0 auto;
    height: 275px;
}
.jupyter-role {
    margin-top: 2px;
}
.jupyter-role-subhead {
    color: #757575;
}
.playlyst-header-img {
    height: 425px;
    width: auto;
    position: relative;
    left: 80px;
}
.playlyst-header-music {
    position: absolute;
    height: 150px;
    top: 210px;
}
.playlyst-header-music-left {
    left: -38px;
}
.playlyst-header-music-right {
    left: 540px;
}
.playlyst-wordmark-wrapper {
    display: block;
    margin: 0 auto;
    padding-bottom: 28px;
}
.playlyst-wordmark {
    display: block;
    position: relative;
    height: 36px;
    top: 20px;
    left: 36px;
}
.playlyst-info {
    margin-top: 160px;
}
.playlyst-consideration-img {
    width: 380px;
}
.playlyst-consideration-desc {
    margin-top: 40px;
    margin-left: 24px;
}
.playlyst-design-img {
    height: 300px;
}
.playlyst-design-process-desc {
    margin-top: 80px;
}
.playlyst-design-process {
    padding-left: 0px;
    padding-right: 0px;
}
/* Bootstrap Breakpoints 
 1200px: col-lg
 992px: col-md
 768px: col-sm
 <768px: col-xs
*/
@media (max-width: 1200px) {
    p {
        font-size: 16px;
    }
    h4 {
        font-size: 18px;
    }
    h3 {
        font-size: 24px;
    }
    h2 {
        font-size: 36px;
    }
    h1 {
        font-size: 48px;
    }
    .clockd-doorway {
        display: none;
    }
    .clockd-phone {
        left: 200px;
    }
    .clockd-beacon {
        top: 50px;
        left: 500px;
    }
    .beacon-container .clockd-beacon-pulse {
        left: 522px;
        top: 60px;
    }
    @-webkit-keyframes beacon-pulse {
        0% {
            border-color: white;
            border-radius: 3px;
            -webkit-border-radius: 3px;
            padding: 0;
        }
        100% {
            border-color: rgba(256,256,256,0);
            border-radius: 50px;
            -webkit-border-radius: 50px;
            left: 470px;
            padding: 60px;
            top: 25px;
        }
    }
    .clockd-real-beacon {
        padding-top: 20px;
    }
    .azure-surface {
        height: 300px;
        position: relative;
        left: 120px;
        padding-top: 30px;
    }
    .libraries-highlight {
        width: 313px;
        top: 51px;
        left: 191px;
    }
    .playlyst-consideration-desc {
        margin-top: 0px;
    }
    .playlyst-consideration-img {
        margin-top: 36px;
    }
    .playlyst-design-process-desc {
        margin-top: 60px;
    }
}
@media (max-width: 992px) {
    h1 {
        font-size: 32px;
    }
    h2 {
        font-size: 26px;
    }
    h3 {
        font-size: 22px;
    }
    h4 {
        font-size: 18px;
    }
    .project-preview {
        width: 400px;
    }
    .project-info {
        margin-top: 50px;
    }
    .quote {
        margin-top: 5px;
    }
    #expresso-jumbotron {
        height: 275px;
    }
    .project-logo {
        width: 200px;
    }
    .expresso-sw-slider {
        margin-top: 32px;
    }
    .barista-header {
        padding-top: 0px;
    }
    .clockd-phone {
        left: 125px;
        top: 35px;
        height: 290px
    }
    .clockd-beacon {
        top: 50px;
        left: 375px;
    }
    .beacon-container .clockd-beacon-pulse {
        left: 397px;
        top: 60px;
    }
    @-webkit-keyframes beacon-pulse {
        0% {
            border-color: white;
            border-radius: 3px;
            -webkit-border-radius: 3px;
            padding: 0;
        }
        100% {
            border-color: rgba(256,256,256,0);
            border-radius: 50px;
            -webkit-border-radius: 50px;
            left: 345px;
            padding: 60px;
            top: 25px;
        }
    }
    .desktop-timeframe {
        display: none;
    }
    .mobile-timeframe {
        display: inline;
        margin: 0 auto;
    }
    .clockd-real-beacon {
        display: block;
        margin: 0 auto;
        padding-top: 8px;
    }
    .azure-surface {
        height: 300px;
        left: 20px;
        top: 20px;
    }
    .intern-position {
        line-height: 1.2;
    }
    .libraries-highlight {
        width: 313px;
        top: 70px;
        left: 90px;
    }
    .playlyst-header-music {
        display: none;
    }
    .playlyst-header-img {
        left: 10px;
    }
    .playlyst-wordmark {
        left: 4px;
    }
    .playlyst-info {
        top: 110px;
    }
    .playlyst-consideration-desc {
        margin-left: 0px;
        padding: 0px;
    }
    .playlyst-consideration-img {
        margin: 0 auto;
    }
    .playlyst-consideration-desc {
        margin-top: 32px;
    }
}
@media (min-width: 992px) {
    #startup-weekend {
        padding-top: 16px;
    }
    .mobile-timeframe {
        display: none;
    }
}
@media (min-width: 768px) {
    #info {
        margin-left: 225px;
    }
}
@media (max-width: 768px) {
    #expresso-products {
        display: none;
    }
    .playlyst-header-img {
        display: none;
    }
    #startup-weekend {
        display: block;
        margin: 0 auto;
    }
    .sw-expresso-desc {
        margin-top: 32px;
    }
    .navbar-header {
        height: 80px;
    }
    .dropdown-white-text {
        color: white !important;
    }
    #expresso-jumbotron {
        height: 250px;
    }
    #clockd-jumbotron, #playlyst-jumbotron {
        height: 275px;
    }
    .project-info {
        margin-top: 20px;
    }
    .desktop-timeframe {
        display: block;
    }
    .mobile-timeframe {
        display: none;
    }
    .clockd-phone {
        display: none;
    }
    .beacon-container {
        display: none;
    }
    .clockd-leaderboard {
        margin-top: 24px !important;
    }
    .clock-website-nav-item {
        height: 75px;   
    }
    .azure-surface {
        left: 0px;
        top: 0px;
        height: 250px;
        display: block;
        margin: 0 auto;
    }
    .azure-header, .azure-subheader, .intern-position {
        text-align: center !important;
    }
    .desktop-timeframe, .mobile-timeframe {
        text-align: center !important;
    }
    #jupyter-site-jumbotron-logo {
        margin-top: 20px !important;
        height: calc(100% - 40px);
        padding-left: 0px;
    }
    #jupyter-jumbotron {
        margin-top: 24px;
    }
    .jupyter-jumbotron-ring {
        height: auto;
        margin-left: -5px !important;
    }
    .playlyst-info {
        top: 0px;
    }
    .playlyst-wordmark {
        margin: 0 auto;
    }
}
@media (max-width: 767px) {
    #myself {
        display: none;
    }
}
@media (max-width: 550px) {
    .quote {
        font-size: 20px;
    }
}
@media (max-width: 475px) {
    .expresso-ipad-img {
        height: 200px;
    }
}
@media (max-width: 450px) {
    #startup-weekend {
        width: 100%;
    }
    .clockd-real-beacon {
        width: 100%;
    }
    .azure-surface {
        margin: 0 auto;
        width: 100%;
        height: auto;
    }
}
@media (max-width: 415px) {
    #wordmark {
        display: none;
    }
}
@media (min-width: 415px) {
    #wordmark-mobile {
        display: none;
    }
}
@media (max-width: 245px) {
    .button {
        display: none;
    }
}

